# Summary

- [Introduction](./introduction.md)
  - [Story](./introduction/story.md)
  - [Design Principles](./introduction/design_principles.md)
  - [Features](./introduction/features.md)
- [Setup](./setup/index.md)
  - [Quick Deployment](./setup/quick_deployment.md)
  - [Install From Debian](./setup/install_from_debian.md)
- [Hardware](./hardware/index.md)
  - [Requirements](./hardware/requirements.md)
  - [GPIO Pinout](./hardware/gpio_pinout.md)
  - [Physical Interface](./hardware/physical_interface.md)
  - [Configuration](./hardware/configuration.md)
- [Software](./software/index.md)
  - [Operating System](./software/operating_system/index.md)
    - [Networking](./software/operating_system/networking.md)
    - [Nginx](./software/operating_system/nginx.md)
  - [Microservices](./software/microservices/index.md)
    - [peach-buttons](./software/microservices/peach-buttons.md)
    - [peach-menu](./software/microservices/peach-menu.md)
    - [peach-monitor](./software/microservices/peach-monitor.md)
    - [peach-network](./software/microservices/peach-network.md)
    - [peach-oled](./software/microservices/peach-oled.md)
    - [peach-stats](./software/microservices/peach-stats.md)
  - [Utilities](./software/utilities/index.md)
    - [peach-probe](./software/utilities/peach-probe.md)
    - [peach-version-checker](./software/utilities/peach-version-checker.md)
  - [Web Interface](./software/web_interface.md)
  - [Pattern Library](./software/pattern_library.md)
  - [Compilation](./software/compilation.md)
  - [Distribution](./software/distribution/index.md)
    - [Packaging](./software/distribution/packaging.md)
    - [Image Building](./software/distribution/image_building.md)
  - [Configuration](./software/configuration.md)
- [Contributor's Guide](./contributors_guide.md)
- [Licensing](./licensing.md)
